slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSGDGetRestart

Gets the number of vectors of the searching space after restarting and the number of vectors saved from the previous iteration.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGDGetRestart(EPS eps,PetscInt *minv,PetscInt *plusk)

Not Collective

### Input Parameter

| eps | - the eigenproblem solver context

### Output Parameters

| minv | - number of vectors of the searching subspace after restarting
| plusk | - number of vectors saved from the previous iteration

### See Also

EPSGDSetRestart()

### Level

advanced

### Location

src/eps/impls/davidson/gd/gd.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages